#!perl -w

# this script is called by autorun.pl after a clean execution of the test suite,
# it copies the contents of the "last" ftp dir to the "last_good" dir
# and also copies the cloudy.exe to cloudy_last_good.exe

# bring in the perl module that includes copy
use File::Copy;


# the disk drive 
$c = "M";

# try using net use net use u: \\server-name\share-name\
system( "net use $c: \\\\nimbus\\nimbus_c\$ /persistent:no" );


# --------------------------------------------------------------------------
# this block - set up paths to all targets on various machines 

# this is where the original test suite files live on my pc
$original_tsuite_dir = "$c:/projects/cloudy/trunk/tsuite/slow";

# move to pc unix source dir
chdir( "$original_tsuite_dir" ) or die " could not move to test suite directory \n";

system( "ls" );

# now copy cloudy.exe to cloudy_last_good.exe
copy( "current.exe" , "cloudy_last_good.exe" ) or die "cannot copy cloudy.exe to last good\n";

# now copy all output files to lg files
while(defined($output= glob("*.out")) )
{ 
       # get basename
       $output =~ s/.out//gi;
       copy( "$output".".out" , "$output".".lg" );
}

